import request from "@/utils/request";

// 获取账号绑定的班级
export const getCurrentStaffClassList = () =>
  request({
    url: `/sc/staff/getCurrentStaffClassList`,
  });

// 获取账号绑定的学科
export const getSubjectList = () =>
  request({
    url: `/sc/staff/getSubjectList`,
  });

// 获取得分能力分析
export const getScoringAbility = (params) =>
  request({
    url: `/sc/job/scoringAbility`,
    params,
  });

// 获取错题
export const getErrorTitle = (params) =>
  request({
    url: `/sc/job/errorTitle`,
    params,
  });

// 获取学员科目得分
export const getStudentSubjectScore = (params) =>
  request({
    url: `/sc/job/class/statistical/data`,
    params,
  });
